<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore 4.3-alpha1', 'pkg-results.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
    <thead>
  <tr>
    <td colspan="7" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET
                    </div>
                                                <div class="navBar">
                           	                        	                            	<span class="navBar"><a href="pkg-summary.html">App</a></span>&nbsp;&nbsp;&nbsp;
								<span class="navBar"><a href="testsrc-pkg-summary.html">Test</a></span>&nbsp;&nbsp;&nbsp;
								<span class="navBarCurrent">Results</span>&nbsp;&nbsp;&nbsp;
                                                                    <span class="navBar"><a href="proj-risks.html">Clouds</a></span>&nbsp;&nbsp;&nbsp;
                                							                        </div>
                                                                                                <div class="navBar">
                            <span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;
                            <span class="navBar">Package</span>&nbsp;&nbsp;&nbsp;
                            <span class="navBar">File</span>&nbsp;&nbsp;&nbsp;
                            <span class="navBar">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="test-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




        <tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
    
    <tr>
        <td class="graphHeaderLeft titleText  testHeader">Project</td>
        <td class="graphHeader headerTitle testHeader">Tests</td>
        <td class="graphHeader headerTitle testHeader">Fail</td>
        <td class="graphHeader headerTitle testHeader">Error</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_tests_time;">Time</label></td>
        <td class="graphHeader headerTitle testHeader" colspan="2">% Pass</td>
    </tr>
    <tr>
        <td class="graphItem titleText">Clover database Wed Nov 28 2012 22:43:03 CET</td>
        <td class="graphPercent testPasses">
    <span class="sortValue">592</span>
    592
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent">9.993</td>
        <td class="graphPercent">100%</td>
        <td class="graphPercent">
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
    <tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</thead>
<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" onclick="ts_resortTable(this, 'alpha', 0);return false;">Packages</td>
        <td class="graphHeader sortable headerTitle testHeader" onclick="ts_resortTable(this, 'number', 1);return false;">Tests</td>
        <td class="graphHeader sortable headerTitle testHeader" onclick="ts_resortTable(this, 'number', 2);return false;">Fail</td>
        <td class="graphHeader sortable headerTitle testHeader" onclick="ts_resortTable(this, 'number', 3);return false;">Error</td>
        <td class="graphHeader sortable headerTitle testHeader" onclick="ts_resortTable(this, 'number', 4);return false;"><label onkeyup="return help_tests_time;">Time(secs)</label></td>
        <td class="graphHeader sortable headerTitle testHeader" onclick="ts_resortTable(this, 'number', 5);return false;" colspan="2">% Pass</td>
    </tr>

<!-- render list of package coverage graphs -->
   
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.impl.entity</span><a href="org/apache/http/impl/entity/test-pkg-summary.html">org.apache.http.impl.entity</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">42</span>
    42
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.07</span>0.07</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.message</span><a href="org/apache/http/message/test-pkg-summary.html">org.apache.http.message</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">107</span>
    107
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.026000002</span>0.026</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.protocol</span><a href="org/apache/http/protocol/test-pkg-summary.html">org.apache.http.protocol</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">115</span>
    115
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.17199999</span>0.172</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.impl.io</span><a href="org/apache/http/impl/io/test-pkg-summary.html">org.apache.http.impl.io</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">74</span>
    74
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.143</span>0.143</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.pool</span><a href="org/apache/http/pool/test-pkg-summary.html">org.apache.http.pool</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">34</span>
    34
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.714</span>0.714</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.impl</span><a href="org/apache/http/impl/test-pkg-summary.html">org.apache.http.impl</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">31</span>
    31
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.026</span>0.026</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.params</span><a href="org/apache/http/params/test-pkg-summary.html">org.apache.http.params</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">5</span>
    5
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.060999997</span>0.061</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.entity</span><a href="org/apache/http/entity/test-pkg-summary.html">org.apache.http.entity</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">54</span>
    54
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.016</span>0.016</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.impl.pool</span><a href="org/apache/http/impl/pool/test-pkg-summary.html">org.apache.http.impl.pool</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">4</span>
    4
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.024</span>0.024</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.config</span><a href="org/apache/http/config/test-pkg-summary.html">org.apache.http.config</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">1</span>
    1
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.0030</span>0.003</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.util</span><a href="org/apache/http/util/test-pkg-summary.html">org.apache.http.util</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">92</span>
    92
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.038999997</span>0.039</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http</span><a href="org/apache/http/test-pkg-summary.html">org.apache.http</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">13</span>
    13
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.0020</span>0.002</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.concurrent</span><a href="org/apache/http/concurrent/test-pkg-summary.html">org.apache.http.concurrent</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">9</span>
    9
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">0.307</span>0.307</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
      
    
        
        <tr>
        <td class="graphItem graphItem"><span class="sortValue">org.apache.http.integration</span><a href="org/apache/http/integration/test-pkg-summary.html">org.apache.http.integration</a></td>
        <td class="graphPercent testPasses">
    <span class="sortValue">11</span>
    11
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>

<td class="graphPercent ">
    <span class="sortValue">0</span>
    0
</td>
        <td class="graphPercent"><span class="sortValue">8.39</span>8.39</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>100%</td>
        <td class="graphPercent"><span class="sortValue">1.0</span>
            

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>        </td>

    </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
